| Home | Libraries | People | FAQ | More

## Struct template is_continuous_interval<continuous_interval< DomainT, Compare >>

boost::icl::is_continuous_interval<continuous_interval< DomainT, Compare >>

## Synopsis

    // In header: <boost/icl/continuous_interval.hpp>

    template<typename DomainT, ICL_COMPARE Compare>
    struct is_continuous_interval<continuous_interval< DomainT, Compare >> {
      // types
      typedef is_continuous_interval< continuous_interval< DomainT, Compare > > type;

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = true);
    };

## Description

### `is_continuous_interval` public member functions

1.      BOOST_STATIC_CONSTANT(bool, value = true);